#include <iostream>
#include <bits/stdc++.h>
#include <string>

using namespace std;

int main()
{
    int a1, b1, c1;
    cin >> a1 >> b1 >> c1;
    string a2= to_string(a1);
    string b2= to_string(b1);
    string c2= to_string(c1);
    string najveci=max(max(max((a2+b2+c2),(a2+c2+b2)),max((b2+a2+c2),(b2+c2+a2))),max((c2+a2+b2),(c2+b2+a2)));
    int n = stoi(najveci);
    cout << n << endl;
    return 0;
}